package Controller;  // Spécifie que cette classe fait partie du package Controller

import Model.MenuModel;  // Importer la classe MenuModel
import View.MenuView;    

import javax.swing.*;

public class MenuController {
    private MenuModel model;
    private MenuView view;

    public MenuController(MenuModel model, MenuView view) {
        this.model = model;
        this.view = view;
    }

    public void run() {
        view.setVisible(true);
    }

    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            @Override
            public void run() {
                // Initialiser le modèle avec le chemin de l'image
                MenuModel model = new MenuModel("../res/fond-ecran.jpg");

                // Créer la vue en lui passant l'image de fond
                MenuView view = new MenuView(model);

                // Démarrer le contrôleur
                new MenuController(model, view).run();
            }
        });
    }
}
